# pb_ds::direct_mask_range_hashing< Size_Type > Class Template Reference

List of all members.

## Detailed Description

### template<typename Size_Type = size_t>
class pb_ds::direct_mask_range_hashing< Size_Type >

Definition at line 124 of file hash_policy.hpp.

## Public Types

- typedef Size_Type size_type

## Public Member Functions

- void swap (direct_mask_range_hashing< Size_Type > &other)

## Protected Member Functions

- void notify_resized (size_type size)
- size_type operator() (size_type hash) const

The documentation for this class was generated from the following file:

- hash_policy.hpp